5.16   os16: getcwd(2)

NOME

    getcwd - determinazione della directory corrente

SINTASSI

    #include <unistd.h>
    char *getcwd (char *<buffer>, size_t <size>);

DESCRIZIONE

    La funzione <getcwd()> modifica il contenuto dell'area di memoria a cui
    punta <buffer>, copiandovi al suo interno la stringa che rappresenta il
    percorso della directory corrente. La scrittura all'interno di <buffer> puo`
    prolungarsi al massimo per <size> byte, incluso il codice nullo di
    terminazione delle stringhe.

VALORE RESTITUITO

    La funzione restituisce il puntatore alla stringa che rappresenta il
    percorso della directory corrente, il quale deve coincidere con <buffer>.
    In caso di errore, invece, la funzione restituisce il puntatore nullo NULL.

ERRORI

    Valore
    di      Significato
    <errno>
    EINVAL  Il puntatore <buffer> non e` valido.

    E_LIMIT Il percorso della directory corrente e` troppo lungo, rispetto ai
            limiti realizzativi di os16.

DIFETTI

    La funzione <getcwd()> di os16 deve comunicare con il kernel per ottenere
    l'informazione che le serve, perche' la "u-area" (User area) e` trattenuta
    all'interno del kernel stesso.

FILE SORGENTI

    lib/unistd.h [13.17]

    lib/unistd/getcwd.c [13.17.18]

    lib/sys/os16/sys.s [13.12.15]

    kernel/proc/_isr.s [12.9.1]

    kernel/proc/sysroutine.c [12.9.30]

VEDERE ANCHE

    chdir(2) [5.3].

